> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the template attributes.

> Get the attributes that can be updated in the published templates.



## OpenAPI

````yaml get /{storeId}/storefront
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}/storefront:
    get:
      tags:
        - Store Front
      summary: Get the template attributes.
      description: Get the attributes that can be updated in the published templates.
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      responses:
        '200':
          description: Attributes that can be updated in the published template.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorefrontBody'
        '403':
          description: Invalid Api Key.
        '500':
          description: Internal Server Error
components:
  schemas:
    StorefrontBody:
      properties:
        pages:
          type: array
          description: Template Pages
          items:
            type: object
            properties:
              pageName:
                type: string
                description: Page identifier
                example: Home
              pageUrl:
                type: string
                description: Page URL
                example: /
              seoTitle:
                type: string
                description: SEO title of the page
                example: Sample Seo Title
              seoDescription:
                type: string
                description: SEO description of the page
                example: Sample Seo Description
              widgets:
                type: array
                description: Widgets in the page
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: Widget Type
                      example: basic-slider
                    name:
                      type: string
                      description: Name of the widget
                      example: Basic Slider
                    widgetData:
                      type: array
                      description: Widget Data
                      items:
                        type: object
                        properties:
                          fields:
                            type: array
                            description: Field Data
                            items:
                              type: object
                              properties:
                                key:
                                  type: string
                                  description: Field obj key
                                  example: action
                                type:
                                  type: string
                                  description: Field obj type
                                  example: productCategory
                                values:
                                  type: object
                                  description: Field obj values
                                  example:
                                    values:
                                      type: product
                                      values: 61d572e4b119b00013a5e61e

````